<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <import type="com.lukouguoji.module_base.ui.weight.search.layout.SearchLayoutType" />

        <variable
            name="model"
            type="com.lukouguoji.gnc.page.distribution.handover.GncDistributionHandoverModifyDialogModel" />
    </data>

    <LinearLayout
        android:layout_width="500dp"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_dialog_radius_10"
        android:gravity="center_horizontal"
        android:orientation="vertical">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:background="@drawable/bg_primary_radius_top_10"
            android:gravity="center"
            android:text="单证交接"
            android:textColor="@color/white"
            android:textSize="18sp"
            android:textStyle="bold" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:gravity="center_vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="单证类型："
                android:textSize="16sp" />

            <CheckBox
                android:layout_width="100dp"
                android:layout_height="wrap_content"
                android:checked="@={model.check1}"
                android:text="业务袋" />

            <CheckBox
                android:layout_width="140dp"
                android:layout_height="wrap_content"
                android:checked="@={model.check2}"
                android:text="特货通知单" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="15dp"
            android:gravity="center_vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="交接司机："
                android:textSize="16sp" />

            <com.lukouguoji.module_base.ui.weight.search.layout.PadSearchLayout
                hint='@{"请选择司机"}'
                list="@{model.driverList}"
                type="@{SearchLayoutType.SPINNER}"
                value="@={model.driver}"
                android:layout_width="240dp"
                android:layout_height="wrap_content" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="30dp"
            android:layout_marginBottom="15dp">

            <TextView
                style="@style/tv_bottom_btn"
                android:onClick="@{()->model.dismiss()}"
                android:text="取消" />

            <TextView
                style="@style/tv_bottom_btn"
                android:onClick="@{()->model.onConfirmClick()}"
                android:text="确定" />

        </LinearLayout>

    </LinearLayout>
</layout>